Edushade Docs
Quiz_attempts

A: Manual answer evaluation

PUT
/admin/quizzes/attempts/{attempt_id}/answers/{question_id}/evaluate
AuthorizationBearer <token>

In: header

Path Parameters

attempt_idstring

The attempt id identifier

Formatuuid
question_idstring

The question id identifier

Formatuuid
feedbackstring
Default"Good answer with minor improvements needed"
is_correctboolean
Defaulttrue
score_awardednumber
Default8.5

Response Body

curl -X PUT "https://edushade.com/api/v1/admin/quizzes/attempts/497f6eca-6276-4993-bfeb-53cbbbba6f08/answers/497f6eca-6276-4993-bfeb-53cbbbba6f08/evaluate" \
  -H "Content-Type: application/json" \
  -d '{
    "feedback": "Good answer with minor improvements needed",
    "is_correct": true,
    "score_awarded": 8.5
  }'
{}
Empty
Empty
Empty